Package org.gradle.api.plugins

# Interface MavenRepositoryHandlerConvention

public interface MavenRepositoryHandlerConvention
Allows Maven repositories for publishing artifacts to be defined. The Maven plugin mixes-in this interface to the `RepositoryHandler` associated with each task of type `Upload`.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`DEFAULT_MAVEN_DEPLOYER_NAME`
`static final String`
`DEFAULT_MAVEN_INSTALLER_NAME`

## Method Summary

Modifier and Type
Method
Description
`GroovyMavenDeployer`
`mavenDeployer()`
Adds a repository for publishing to a Maven repository.
`GroovyMavenDeployer`
`mavenDeployer(Closure configureClosure)`
Adds a repository for publishing to a Maven repository.
`GroovyMavenDeployer`
`mavenDeployer(Map<String,?> args)`
Adds a repository for publishing to a Maven repository.
`GroovyMavenDeployer`
`mavenDeployer(Map<String,?> args, Closure configureClosure)`
Adds a repository for publishing to a Maven repository.
`GroovyMavenDeployer`
`mavenDeployer(Map<String,?> args, Action<? super GroovyMavenDeployer> configureAction)`
Adds a repository for publishing to a Maven repository.
`GroovyMavenDeployer`
`mavenDeployer(Action<? super GroovyMavenDeployer> configureAction)`
Adds a repository for publishing to a Maven repository.
`MavenResolver`
`mavenInstaller()`
Adds a repository for installing to a local Maven cache.
`MavenResolver`
`mavenInstaller(Closure configureClosure)`
Adds a repository for installing to a local Maven cache.
`MavenResolver`
`mavenInstaller(Map<String,?> args)`
Adds a repository for installing to a local Maven cache.
`MavenResolver`
`mavenInstaller(Map<String,?> args, Closure configureClosure)`
Adds a repository for installing to a local Maven cache.
`MavenResolver`
`mavenInstaller(Map<String,?> args, Action<? super MavenResolver> configureAction)`
Adds a repository for installing to a local Maven cache.
`MavenResolver`
`mavenInstaller(Action<? super MavenResolver> configureAction)`
Adds a repository for installing to a local Maven cache.

## Field Details

### DEFAULT_MAVEN_DEPLOYER_NAME

static final String DEFAULT_MAVEN_DEPLOYER_NAME

See Also:
  - Constant Field Values

### DEFAULT_MAVEN_INSTALLER_NAME

static final String DEFAULT_MAVEN_INSTALLER_NAME

See Also:
  - Constant Field Values

## Method Details

### mavenDeployer

GroovyMavenDeployer mavenDeployer()
Adds a repository for publishing to a Maven repository. This repository can not be used for resolving dependencies.

Returns:
  The added repository
See Also:
  - `mavenDeployer(java.util.Map, groovy.lang.Closure)`

### mavenDeployer

GroovyMavenDeployer mavenDeployer(Closure configureClosure)
Adds a repository for publishing to a Maven repository. This repository can not be used for resolving dependencies.

Parameters:
  `configureClosure` - A closure to use to configure the repository.
Returns:
  The added repository
See Also:
  - `mavenDeployer(java.util.Map, groovy.lang.Closure)`

### mavenDeployer

GroovyMavenDeployer mavenDeployer(Action<? super GroovyMavenDeployer> configureAction)
Adds a repository for publishing to a Maven repository. This repository can not be used for resolving dependencies.

Parameters:
  `configureAction` - The action to use to configure the repository.
Returns:
  The added repository
Since:
  4.2
See Also:
  - `mavenDeployer()`

### mavenDeployer

GroovyMavenDeployer mavenDeployer(Map<String,?> args)
Adds a repository for publishing to a Maven repository. This repository can not be used for resolving dependencies. The following parameter are accepted as keys for the map:

Key | Description of Associated Value
--- | ---
`name` | (optional) The name of the repository. The default is mavenDeployer-{SOME_ID}. The name is used in the console output, to point to information related to a particular repository. A name must be unique amongst a repository group.

Parameters:
  `args` - The argument to create the repository
Returns:
  The added repository
See Also:
  - `mavenDeployer(java.util.Map, groovy.lang.Closure)`

### mavenDeployer

GroovyMavenDeployer mavenDeployer(Map<String,?> args, Closure configureClosure)
Adds a repository for publishing to a Maven repository. This repository can not be used for resolving dependencies.

Parameters:
  `args` - The argument to create the repository
  `configureClosure` - A closure to use to configure the repository.
Returns:
  The added repository

### mavenDeployer

GroovyMavenDeployer mavenDeployer(Map<String,?> args, Action<? super GroovyMavenDeployer> configureAction)
Adds a repository for publishing to a Maven repository. This repository can not be used for resolving dependencies.

Parameters:
  `args` - The argument to create the repository
  `configureAction` - The action to use to configure the repository.
Returns:
  The added repository
Since:
  4.2

### mavenInstaller

MavenResolver mavenInstaller()
Adds a repository for installing to a local Maven cache. This repository can not be used for resolving dependencies.

Returns:
  The added repository
See Also:
  - `(java.util.Map, groovy.lang.Closure)`

### mavenInstaller

MavenResolver mavenInstaller(Closure configureClosure)
Adds a repository for installing to a local Maven cache. This repository can not be used for resolving dependencies.

Parameters:
  `configureClosure` - A closure to use to configure the repository.
Returns:
  The added repository
See Also:
  - `(java.util.Map, groovy.lang.Closure)`

### mavenInstaller

MavenResolver mavenInstaller(Action<? super MavenResolver> configureAction)
Adds a repository for installing to a local Maven cache. This repository can not be used for resolving dependencies.

Parameters:
  `configureAction` - The action to use to configure the repository.
Returns:
  The added repository
Since:
  4.2
See Also:
  - `mavenInstaller(Map, Action)`

### mavenInstaller

MavenResolver mavenInstaller(Map<String,?> args)
Adds a repository for installing to a local Maven cache. This repository can not be used for resolving dependencies. The following parameter are accepted as keys for the map:

Key | Description of Associated Value
--- | ---
`name` | (optional) The name of the repository. The default is mavenInstaller-{SOME_ID}. The name is used in the console output, to point to information related to a particular repository. A name must be unique amongst a repository group.

Parameters:
  `args` - The argument to create the repository
Returns:
  The added repository
See Also:
  - `(java.util.Map, groovy.lang.Closure)`

### mavenInstaller

MavenResolver mavenInstaller(Map<String,?> args, Closure configureClosure)
Adds a repository for installing to a local Maven cache. This repository can not be used for resolving dependencies.

Parameters:
  `args` - The argument to create the repository
  `configureClosure` - A closure to use to configure the repository.
Returns:
  The added repository

### mavenInstaller

MavenResolver mavenInstaller(Map<String,?> args, Action<? super MavenResolver> configureAction)
Adds a repository for installing to a local Maven cache. This repository can not be used for resolving dependencies.

Parameters:
  `args` - The argument to create the repository
  `configureAction` - The action to use to configure the repository.
Returns:
  The added repository
Since:
  4.2